#include <stdio.h>
#include <stdlib.h>

int main()
{
   long long int m,n;
   scanf("%lld %lld", &n, &m);
   long long int x,y,z;
   x=2*(m+n-2);
   y=(n-2)*(m-2);
   if(y%2==1)
   {
       y--;
   }
   y=y/2;
   z=x+y;
   printf("%lld", z);
    return 0;
}